__gnu_cxx::subtractive_rng(3)

NAME
__gnu_cxx::subtractive_rng -

SYNOPSIS

Inherits unary_function< unsigned int, unsigned int >.

Detailed Description

The subtractive_rng class is documented on SGI's site. Note that this code assumes that int is 32 bits.

Definition at line 351 of file ext/functional.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

  Public Member Functions
void _M_initialize (unsigned int __seed)
unsigned int operator() (unsigned int __limit)
subtractive_rng ()
subtractive_rng (unsigned int __seed)

Member Typedef Documentation

  typedef _Arg argument_type [inherited]

argument_type is the type of the

Reimplemented in _Functor_Ref.

Definition at line 104 of file stl_function.h.

  typedef _Result result_type [inherited]

argument (no surprises here) result_type is the return type

Reimplemented in _Functor_Ref, and _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

Constructor & Destructor Documentation

  subtractive_rng (unsigned int __seed) [inline]

Ctor allowing you to initialize the seed.

Definition at line 393 of file ext/functional.

References subtractive_rng::_M_initialize().

  subtractive_rng () [inline]

Default ctor; initializes its state with some number you don't see.

Definition at line 397 of file ext/functional.

References subtractive_rng::_M_initialize().

Member Function Documentation

  unsigned int operator() (unsigned int __limit) [inline]

Returns a number less than the argument.

Definition at line 362 of file ext/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.